Returns the page geometry

- « Imagick::getImageOrientation

- Imagick::getImagePixelColor »

- PHP Manual
- Imagick
- Returns the page geometry

# Imagick::getImagePage

(PECL imagick 2, PECL imagick 3)

Imagick::getImagePage — Returns the page geometry

### Description

public Imagick::getImagePage(): array

Returns the page geometry associated with the image in an array with the keys "width", "height", "x", and "y".

### Parameters

This function has no parameters.

### Return Values

Returns the page geometry associated with the image in an array with the keys "width", "height", "x", and "y".

### Errors/Exceptions

Throws ImagickException on error.